/**
 *
 * 根据key获取url中的参数，默认从search取,也支持从整个url中获取
 * @category  url
 * @param {string} [url=window.location.href]
 * @param {string} key
 * @returns {string}
 * @author hzxiongxu
 * @date 20210520
 *
 */
export declare function getUrlParams(key: string, url?: string): string;
/**
 *
 * 获取url所有参数
 * @category  url
 * @param {string} [url=window.location.href]
 * @return {*}  {Record<string, any>}
 * @author hzxiongxu
 * @date 20210520
 */
export declare function getAllUrlParams(url?: string): Record<string, any>;
