var ua = window.navigator.userAgent;
var Chrome = /CriOS/i.test(ua) || /Chrome/i.test(ua);
var IOS = /(iPhone|iPad|iPod|iOS)/gi.test(ua);
var WxMiniProgram = /miniprogram/i.test(ua) || window.__wxjs_environment === 'miniprogram';
/**
 * 通过UA判断设备信息,参数请参考DeviceDto接口
 * @type {*}
 * @author hzxiongxu
 * @date 20210524
 *  */
var device = {
    Mobile: /(iPhone|iPad|iPod|iOS|Android|adr|Windows Phone|SymbianOS)/gi.test(navigator.userAgent),
    IOS: IOS,
    Android: /android|adr/gi.test(ua),
    WX: /MicroMessenger/i.test(ua) && !WxMiniProgram,
    Epay: /epay163/gi.test(ua),
    EpayApp: /epay163App/gi.test(ua),
    EpaySDK: /epay163SDK/gi.test(ua),
    Safari: IOS && /Safari/i.test(navigator.userAgent) && !Chrome,
    Chrome: Chrome,
    WxMiniProgram: WxMiniProgram,
    Cbg: /app_cbg/i.test(ua)
};

export { device };
