/**
 *
 * 金额格式化的规则
 * @export
 * @interface Rule
 */
export interface Rule {
    decimalPlaces?: number;
    useThousands?: boolean;
    unit?: string;
    symbol?: string;
}
/**
 *
 * 根据UA判断设备信息
 * @export
 * @interface DeviceDto
 */
export interface DeviceDto {
    Mobile: boolean;
    IOS: boolean;
    Android: boolean;
    WX: boolean;
    WxMiniProgram: boolean;
    Epay: boolean;
    EpayApp: boolean;
    EpaySDK: boolean;
    Chrome: boolean;
    Safari: boolean;
    Cbg: boolean;
}
